#ifndef EA_TOUCH_H
#define EA_TOUCH_H

#include "EA_TOUCH_def.h"


//----------------------------------------------------------------------------
/*! \brief Initialsize the I2C interface for Touch
 * \ingroup EA_TOUCH
 * \param clk I2C-Frequency in Hz (max. 400000)
 */
extern void TOUCHi2c_init (uint clk);


//----------------------------------------------------------------------------
/*! \brief Wait until a touch event occurs
 * \ingroup EA_TOUCH
 * \param event TOUCH_DOWN | TOUCH_DRAG | TOUCH_UP
 */
extern void waitUntilTouch (int16_t event);

//------------------------------------------------------------------------------
// global variables

extern int16_t gTouchOK;  // Indicates whether a new touch point is available, set to 0 when point has been read
extern int16_t gTouchEvent, gX, gY;   // only for query, do not change the values


#endif  /* EA_TOUCH_H */
